Subject: Re: [RFC] Deal with HTTP 401 by requesting credentials.

From: Kevin Stange <[email-masked]>
Date: Tue, 05 Jun 2012 11:41:37 -0500

On 06/05/2012 11:28 AM, Jeff King wrote:
> On Fri, Jun 01, 2012 at 12:02:08PM -0500, Kevin Stange wrote:
> 
>>> The dumb-http push code is the only thing that does not go through
>>> http_request these days. So another option would be to refactor it to go
>>> through that central point. I took a brief look at this when I was
>>> updating the credential code a few months ago, but didn't consider it a
>>> priority, as most people should be using smart http these days. Is there
>>> a reason you can't use smart-http? It's significantly more efficient.
>>
>> Smart HTTP didn't come up in any of my Google searches.  With that as an
>> option, I might just drop this work now.  I'd rather see incomplete methods
>> that aren't recommended go away than further facilitate their use, personally.
> 
> Me too. I would love it if dumb http push just went away. It's extremely
> neglected, and has very few advantages over smart http (really, the only
> advantage is that the server does not need to run git). However, we do
> get bug reports on it occasionally, so I think people are still using
> it.
> 
> So far our approach has mostly been to prevent any serious regressions,
> and otherwise not worry too much about dragging it along with new
> features.

It seemed a lot of "guides" that I found while searching suggested using the
"dumb" system.  That may be why it remains in use.  I can't imagine too many
people have issues running a CGI to ensure everything works right.

>> If I decide to continue working on this, I will keep these in mind.  I'm
>> pretty sure that if I can get smart HTTP working, there's no reason to even
>> bother with this from my perspective, unless you think there's substantial
>> value in it.
> 
> No, I don't think there's substantial value. If you can move to smart
> http, you are much better off.

I've gotten smart HTTP working perfectly.  Thank you for pointing me to it.  I
am considering this resolved.

-- 
Kevin Stange
Chief Technology Officer
Steadfast Networks
http://steadfast.net
Phone: 312-602-2689 ext. 203 | Fax: 312-602-2688 | Cell: 312-320-5867